org.apache.catalina

## Class CatalinaFactory

- java.lang.Object
- - org.apache.catalina.CatalinaFactory

- Deprecated.
  There was no demand for this capability and it will be removed in Tomcat 8.0.x

      @Deprecated
      public class CatalinaFactory
      extends Object

  Factory class used whenever a default implementation of a component is required. It provides both class names (for the digester) and objects for other components. The current implementation is as simple as possible. If there is demand it can be extended to support alternative factories and/or alternative defaults.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Pipeline` | `createPipeline(Container container)` Deprecated.
    `String` | `getDefaultPipelineClassName()` Deprecated. Unused. Will be removed in Tomcat 8.0.x.
    `static CatalinaFactory` | `getFactory()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFactory

          public static CatalinaFactory getFactory()

      Deprecated.

    - #### getDefaultPipelineClassName

          @Deprecated
          public String getDefaultPipelineClassName()

      Deprecated. Unused. Will be removed in Tomcat 8.0.x.

    - #### createPipeline

          public Pipeline createPipeline(Container container)

      Deprecated.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.